PMAP_IS_MODIFIED(9)

NAME
pmap_is_modified, pmap_ts_modified - return information about physical pages

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
boolean_t
pmap_is_modified(vm_page_t m);
int
pmap_ts_referenced(vm_page_t m);

DESCRIPTION
The pmap_is_modified() and pmap_ts_referenced() functions return information about physical pages.

RETURN VALUES
The pmap_is_modified() function returns the status of the “page modified” bit for the physical page m.

The pmap_ts_referenced() function returns a count of reference bits for a page m, clearing those bits. It is not necessary for every reference bit to be cleared, but it is necessary that 0 only be returned when there are no remaining reference bits set on the page.

SEE ALSO
pmap(9), pmap_clear_modify(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.